%media y desviacion estandar de las intensidades de los vóxeles de los sujetos dentro de cada cluster
function [C P] = extractMeanAndStdDevFromEachCluster (crystal_brain, controls, patients)

   [L, num_clusters] = bwlabeln (crystal_brain);

   mean_idx=1;
   std_idx =2;

   size_x = size(crystal_brain,1);
   size_y = size(crystal_brain,2);
   size_z = size(crystal_brain,3);

   %FOR OASIS original subjects
   for i = 1:size(controls,1); 
       subj = reshape (controls(i,:,:,:), size_x, size_y, size_z); 
       for k = 1:num_clusters; 
           C(i,k,mean_idx) = mean (double(subj(L==k)));
           C(i,k, std_idx) = std  (double(subj(L==k))); 
       end; 
   end;

   for i = 1:size(patients,1); 
       subj = reshape (patients(i,:,:,:), size_x, size_y, size_z);
       for k = 1:num_clusters; 
           P(i,k,mean_idx) = mean (double(subj(L==k))); 
           P(i,k, std_idx) = std  (double(subj(L==k))); 
       end;
   end;
