%% GM voxel intensities inside the clusters
function [C P] = extractVoxelIntensitiesWithinClusters (crystal_brain, controls, patients)

   [L num_clusters] = bwlabeln (crystal_brain);

   for i = 1:size(patients,1);
       subj = patients(i,:,:,:);
       P (i,:) = double(subj(L>0));
   end;

   for i = 1:size(controls,1); 
       subj = controls(i,:,:,:);
       C (i,:) = double(subj(L>0));
   end;

